import { EditorItemIdGenerator } from "@fern-api/editor-item-id-generator";
import { FernApiEditor } from "@fern-fern/api-editor-sdk";
import { MockDefinitionItem } from "./MockDefinitionItem";
export class MockType extends MockDefinitionItem {
    typeId;
    typeName;
    shape;
    constructor({ name = "Mock Type", shape = FernApiEditor.Shape.alias({
        aliasOf: FernApiEditor.TypeReference.primitive(FernApiEditor.PrimitiveType.String),
    }), ...superInit }) {
        super(superInit);
        this.typeId = EditorItemIdGenerator.type();
        this.typeName = name;
        this.shape = shape;
    }
}
