import { FernApiEditor } from "@fern-fern/api-editor-sdk";
export declare namespace TransactionResolver {
    interface Init {
        definition: FernApiEditor.Api;
    }
    type Listener = (definition: FernApiEditor.Api) => void;
}
export declare class TransactionResolver {
    #private;
    private listeners;
    private transactionHandler;
    constructor({ definition }: TransactionResolver.Init);
    get definition(): FernApiEditor.Api;
    set definition(definition: FernApiEditor.Api);
    applyTransaction(transaction: FernApiEditor.transactions.Transaction): FernApiEditor.Api;
    applyTransactions(transactions: readonly FernApiEditor.transactions.Transaction[]): FernApiEditor.Api;
    watch(listener: (api: FernApiEditor.Api) => void): () => void;
}
